ST_GeomFromTWKB
Prev | 8.8.3. Other Formats | Next

## Name

ST_GeomFromTWKB — Creates a geometry instance from a TWKB ("Tiny Well-Known Binary") geometry representation.

## Synopsis

`geometry ST_GeomFromTWKB(`bytea twkb`)`;

## Description

The `ST_GeomFromTWKB` function, takes a a TWKB ("Tiny Well-Known Binary") geometry representation (WKB) and creates an instance of the appropriate geometry type.

## Examples

    SELECT ST_AsText(ST_GeomFromTWKB(ST_AsTWKB('LINESTRING(126 34, 127 35)'::geometry)));

             st_astext
    -----------------------------
     LINESTRING(126 34, 127 35)
    (1 row)

    SELECT ST_AsEWKT(
      ST_GeomFromTWKB(E'\\x620002f7f40dbce4040105')
    );
    					  st_asewkt
    ------------------------------------------------------
    LINESTRING(-113.98 39.198,-113.981 39.195)
    (1 row)

## See Also

ST_AsTWKB

Prev | Up | Next
ST_GeomFromKML | Home | ST_GMLToSQL